<?php

namespace App\Repository;


/**
 * ProviderRepository.
 *
 * This class was generated by the Doctrine ORM. Add your own custom
 * repository methods below.
 */
class ProviderRepository extends \Doctrine\ORM\EntityRepository
{
	public function getProvidersWithManagedStudentsDeviceEnabled() {
		return $this->findBy(['active' => true, 'studentHaveManagedDevice' => true], ['name' => "ASC"]);
	}

	public function getProvidersWithManagedTeachersDeviceEnabled() {
		return $this->findBy(['active' => true, 'teacherHaveManagedDevice' => true], ['name' => "ASC"]);
	}

    public function getProviderWithSyncableFilter() {
        return $this->createQueryBuilder('p')
            ->where('NOT p.filter IN(:filters)')
            ->setParameter('filters', ['databaseinterno'])
            ->orderBy('p.name','ASC')
            ->getQuery()
            ->execute();
    }
}
